API ReferenceManagementFlow Management
POST
/v1/mgmt/widget

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

widgetId*string
Length1 <= length <= 254
metadata*object
screens?array<ExportedWidgetScreen>
flows?array<ExportedFlow>

Create or update a single widget and its embedded flows from the exported representation, remapping any connector and role references to matching entities in the project, using a valid management key.

curl -X POST "https://api.descope.com/v1/mgmt/widget" \  -H "Content-Type: application/json" \  -d '{    "widgetId": "string",    "metadata": {      "name": "string"    }  }'
Was this helpful?